package com.brilliance.isc.esb.api.ph;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.ph.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * PH 普惠金融云平台请求方
 *
 * @restApi
 */
@RequestMapping("/EBIS")
public interface  PhClient {

    /**
     * BHW1 保函往报
     *
     * @param reqBHW1
     * @return
     */
    @PostMapping("/BHW1")
    Res<ResBHW1> callBHW1(Req<ReqBHW1> reqBHW1);


    @PostMapping("/LCW1")
    Res<ResLCW1> callLCW1(Req<ReqLCW1> reqLCW1);


    @PostMapping("/ftw1")
    Res<ResFTW1> callFTW1(Req<ReqFTW1> reqFTW1);

    @PostMapping("/ftw2")
    Res<ResFTW2> callFTW2(Req<ReqFTW2> reqFTW2);

}
